file handle pcdat/name='ya2020_sppc_raw_items.dat' /lrecl=88.
data list file pcdat free /
  C0000100 (F7)
  C0000200 (F5)
  Y4570400 (F2)
  Y4570500 (F2)
  Y4570600 (F2)
  Y4570700 (F2)
  Y4570800 (F2)
  Y4570900 (F2)
  Y4571000 (F2)
  Y4571100 (F2)
  Y4571200 (F2)
  Y4571300 (F2)
  Y4571400 (F2)
  Y4571500 (F2)
  Y4571600 (F2)
  Y4571700 (F2)
  Y4571800 (F2)
  Y4571900 (F2)
  Y4572000 (F2)
  Y4572100 (F2)
  Y4572200 (F2)
  Y4572300 (F2)
  Y4572400 (F2)
  Y4572500 (F2)
  Y4572600 (F2)
  Y4572700 (F2)
.
* The following code works with current versions of SPSS.
missing values all (-7,-3 thru -1).
* older versions of SPSS may require this:
* recode all (-3,-2,-1=-7).
* missing values all (-7).
variable labels
  C0000100  "ID CODE OF CHILD"
  C0000200  "ID CODE OF MOTHER OF CHILD"
  Y4570400  "SPPC: R MORE LIKE GOOD AT/WORRY ABOUT SCHOOLWK 2020"
  Y4570500  "SPPC: HOW TRUE IS GOOD AT/WORRY ABOUT SCHOOLWK 2020"
  Y4570600  "SPPC: R MORE LIKE PLEASED/UNHAPPY WITH SELF 2020"
  Y4570700  "SPPC: HOW TRUE IS PLEASED/UNHAPPY WITH SELF 2020"
  Y4570800  "SPPC: R MORE LIKE FEEL/WONDER IF JUST AS SMART 2020"
  Y4570900  "SPPC: HOW TRUE IS FEEL/WONDER IF JUST AS SMART 2020"
  Y4571000  "SPPC: R MORE LIKE LIKE/DONT LIKE MY LIFE 2020"
  Y4571100  "SPPC: HOW TRUE IS LIKE/DONT LIKE MY LIFE 2020"
  Y4571200  "SPPC: R MORE LIKE DO SCHOOLWORK QUICKLY/SLOWLY 2020"
  Y4571300  "SPPC: HOW TRUE IS DO SCHOOLWORK QUICKLY/SLOWLY 2020"
  Y4571400  "SPPC: R MORE LIKE HAPPY/NOT HAPPY WITH SELF 2020"
  Y4571500  "SPPC: HOW TRUE IS HAPPY/NOT HAPPY WITH SELF 2020"
  Y4571600  "SPPC: R MORE LIKE REMEMBER/FORGET THINGS EASILY 2020"
  Y4571700  "SPPC: HOW TRUE IS REMEMBER/FORGET THINGS EASILY 2020"
  Y4571800  "SPPC: R MORE LIKE LIKE PERSON I AM/WISH ELSE 2020"
  Y4571900  "SPPC: HOW TRUE IS LIKE PERSON I AM/WISH ELSE 2020"
  Y4572000  "SPPC: R MORE LIKE DO/DONT DO WELL AT CLASSWORK 2020"
  Y4572100  "SPPC: HOW TRUE IS DO/DONT DO WELL AT CLASSWORK 2020"
  Y4572200  "SPPC: R MORE LIKE HAPPY WAY I AM/WISH DIFFERENT 2020"
  Y4572300  "SPPC: HOW TRUE IS HAPPY WAY I AM/WISH DIFFERENT 2020"
  Y4572400  "SPPC: R MORE LIKE CAN /HAVE TROUBLE FIG OUT ANS 2020"
  Y4572500  "SPPC: HOW TRUE IS CAN /HAVE TROUBLE FIG OUT ANS 2020"
  Y4572600  "SPPC: R MORE LIKE WAY I DO THNGS IS/IS NOT FINE 2020"
  Y4572700  "SPPC: HOW TRUE IS WAY I DO THNGS IS/IS NOT FINE 2020"
.

* Recode continuous values. 
* recode 
 C0000100 
    (1 thru 9999999 eq 1)
    / 
 C0000200 
    (1 thru 12686 eq 1)
.

* value labels
 C0000100
    1 "1 TO 9999999: See Min & Max values below for range as of this release"
    /
 C0000200
    1 "1 TO 12686: NLSY79 Public ID"
    /
 Y4570400
    1 "THE FIRST ONES WHO FEEL THEY ARE VERY GOOD AT THEIR SCHOOL WORK"
    2 "THE SECOND ONES WHO WORRY ABOUT WHETHER THEY CAN DO THE SCHOOL WORK ASSIGNED TO THEM"
    /
 Y4570500
    1 "REALLY TRUE FOR ME"
    2 "SORT OF TRUE FOR ME"
    /
 Y4570600
    1 "THE FIRST ONES WHO ARE OFTEN UNHAPPY WITH THEMSELVES"
    2 "THE SECOND ONES WHO ARE PRETTY PLEASED WITH THEMSELVES"
    /
 Y4570700
    1 "REALLY TRUE FOR ME"
    2 "SORT OF TRUE FOR ME"
    /
 Y4570800
    1 "THE FIRST ONES WHO FEEL LIKE THEY ARE JUST AS SMART AS OTHER KIDS THEIR AGES"
    2 "THE SECOND ONES WHO AREN'T SO SURE AND WONDER IF THEY ARE AS SMART"
    /
 Y4570900
    1 "REALLY TRUE FOR ME"
    2 "SORT OF TRUE FOR ME"
    /
 Y4571000
    1 "THE FIRST ONES WHO DON'T LIKE THE WAY THEY ARE LEADING THEIR LIFE"
    2 "THE SECOND ONES WHO DO LIKE THE WAY THEY ARE LEADING THEIR LIFE"
    /
 Y4571100
    1 "REALLY TRUE FOR ME"
    2 "SORT OF TRUE FOR ME"
    /
 Y4571200
    1 "THE FIRST ONES WHO ARE PRETTY SLOW IN FINISHING THEIR SCHOOL WORK"
    2 "THE SECOND ONES WHO CAN DO THEIR SCHOOL WORK QUICKLY"
    /
 Y4571300
    1 "REALLY TRUE FOR ME"
    2 "SORT OF TRUE FOR ME"
    /
 Y4571400
    1 "THE FIRST ONES WHO ARE HAPPY WITH THEMSELVES AS A PERSON"
    2 "THE SECOND ONES WHO ARE OFTEN NOT HAPPY WITH THEMSELVES AS A PERSON"
    /
 Y4571500
    1 "REALLY TRUE FOR ME"
    2 "SORT OF TRUE FOR ME"
    /
 Y4571600
    1 "THE FIRST ONES WHO OFTEN FORGET WHAT THEY LEARN"
    2 "THE SECOND ONES WHO CAN REMEMBER THINGS EASILY"
    /
 Y4571700
    1 "REALLY TRUE FOR ME"
    2 "SORT OF TRUE FOR ME"
    /
 Y4571800
    1 "THE FIRST ONES WHO LIKE THE KIND OF PERSON THEY ARE"
    2 "THE SECOND ONES WHO OFTEN WISH THEY WERE SOMEONE ELSE"
    /
 Y4571900
    1 "REALLY TRUE FOR ME"
    2 "SORT OF TRUE FOR ME"
    /
 Y4572000
    1 "THE FIRST ONES WHO DO VERY WELL AT THEIR CLASSWORK"
    2 "THE SECOND ONES WHO DON'T DO VERY WELL AT THEIR CLASSWORK"
    /
 Y4572100
    1 "REALLY TRUE FOR ME"
    2 "SORT OF TRUE FOR ME"
    /
 Y4572200
    1 "THE FIRST ONES WHO ARE VERY HAPPY BEING THE WAY THEY ARE"
    2 "THE SECOND ONES WHO WISH THEY WERE DIFFERENT"
    /
 Y4572300
    1 "REALLY TRUE FOR ME"
    2 "SORT OF TRUE FOR ME"
    /
 Y4572400
    1 "THE FIRST ONES WHO HAVE TROUBLE FIGURING OUT THE ANSWERS IN SCHOOL"
    2 "THE SECOND ONES WHO ALMOST ALWAYS CAN FIGURE OUT THE ANSWERS."
    /
 Y4572500
    1 "REALLY TRUE FOR ME"
    2 "SORT OF TRUE FOR ME"
    /
 Y4572600
    1 "THE FIRST ONES WHO ARE NOT VERY HAPPY WITH THE WAY THEY DO A LOT OF THINGS"
    2 "THE SECOND ONES WHO THINK THE WAY THEY DO THINGS IS FINE"
    /
 Y4572700
    1 "REALLY TRUE FOR ME"
    2 "SORT OF TRUE FOR ME"
    /
.
/* Crosswalk for Reference number & Question name
 * Uncomment and edit this RENAME VARIABLES statement to rename variables for ease of use.
 * This command does not guarantee uniqueness
 */  /* *start* */

* RENAME VARIABLES
  (C0000100 = CPUBID_XRND) 
  (C0000200 = MPUBID_XRND) 
  (Y4570400 = Q16_SPPC_1A_2020)   /* Q16-SPPC-1A */
  (Y4570500 = Q16_SPPC_1B_2020)   /* Q16-SPPC-1B */
  (Y4570600 = Q16_SPPC_2A_2020)   /* Q16-SPPC-2A */
  (Y4570700 = Q16_SPPC_2B_2020)   /* Q16-SPPC-2B */
  (Y4570800 = Q16_SPPC_3A_2020)   /* Q16-SPPC-3A */
  (Y4570900 = Q16_SPPC_3B_2020)   /* Q16-SPPC-3B */
  (Y4571000 = Q16_SPPC_4A_2020)   /* Q16-SPPC-4A */
  (Y4571100 = Q16_SPPC_4B_2020)   /* Q16-SPPC-4B */
  (Y4571200 = Q16_SPPC_5A_2020)   /* Q16-SPPC-5A */
  (Y4571300 = Q16_SPPC_5B_2020)   /* Q16-SPPC-5B */
  (Y4571400 = Q16_SPPC_6A_2020)   /* Q16-SPPC-6A */
  (Y4571500 = Q16_SPPC_6B_2020)   /* Q16-SPPC-6B */
  (Y4571600 = Q16_SPPC_7A_2020)   /* Q16-SPPC-7A */
  (Y4571700 = Q16_SPPC_7B_2020)   /* Q16-SPPC-7B */
  (Y4571800 = Q16_SPPC_8A_2020)   /* Q16-SPPC-8A */
  (Y4571900 = Q16_SPPC_8B_2020)   /* Q16-SPPC-8B */
  (Y4572000 = Q16_SPPC_9A_2020)   /* Q16-SPPC-9A */
  (Y4572100 = Q16_SPPC_9B_2020)   /* Q16-SPPC-9B */
  (Y4572200 = Q16_SPPC_10A_2020)   /* Q16-SPPC-10A */
  (Y4572300 = Q16_SPPC_10B_2020)   /* Q16-SPPC-10B */
  (Y4572400 = Q16_SPPC_11A_2020)   /* Q16-SPPC-11A */
  (Y4572500 = Q16_SPPC_11B_2020)   /* Q16-SPPC-11B */
  (Y4572600 = Q16_SPPC_12A_2020)   /* Q16-SPPC-12A */
  (Y4572700 = Q16_SPPC_12B_2020)   /* Q16-SPPC-12B */
.
  /* *end* */

descriptives all.

*--- Tabulations using reference number variables.
*freq var=C0000100, 
  C0000200, 
  Y4570400, 
  Y4570500, 
  Y4570600, 
  Y4570700, 
  Y4570800, 
  Y4570900, 
  Y4571000, 
  Y4571100, 
  Y4571200, 
  Y4571300, 
  Y4571400, 
  Y4571500, 
  Y4571600, 
  Y4571700, 
  Y4571800, 
  Y4571900, 
  Y4572000, 
  Y4572100, 
  Y4572200, 
  Y4572300, 
  Y4572400, 
  Y4572500, 
  Y4572600, 
  Y4572700.

*--- Tabulations using qname variables.
*freq var=CPUBID_XRND, 
  MPUBID_XRND, 
  Q16_SPPC_1A_2020, 
  Q16_SPPC_1B_2020, 
  Q16_SPPC_2A_2020, 
  Q16_SPPC_2B_2020, 
  Q16_SPPC_3A_2020, 
  Q16_SPPC_3B_2020, 
  Q16_SPPC_4A_2020, 
  Q16_SPPC_4B_2020, 
  Q16_SPPC_5A_2020, 
  Q16_SPPC_5B_2020, 
  Q16_SPPC_6A_2020, 
  Q16_SPPC_6B_2020, 
  Q16_SPPC_7A_2020, 
  Q16_SPPC_7B_2020, 
  Q16_SPPC_8A_2020, 
  Q16_SPPC_8B_2020, 
  Q16_SPPC_9A_2020, 
  Q16_SPPC_9B_2020, 
  Q16_SPPC_10A_2020, 
  Q16_SPPC_10B_2020, 
  Q16_SPPC_11A_2020, 
  Q16_SPPC_11B_2020, 
  Q16_SPPC_12A_2020, 
  Q16_SPPC_12B_2020.
